<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button mbButtonSize="MEDIUM" mbButtonText="Tải dữ liệu lên" mbButtonTextColor="#141ED2"
             (click)="showModalUploadFile(footerTmplUploadFile)" *ngIf="objFunction?.import">
  </mb-button>
</div>
<form-search-employee-component #formSearch
                                [isJob]="false" [empCode]="false" [fullName]="false" [isPosition]="false" [IsAssessmentTime]="false" [isYear]="false"
                                [isEmpCodeAndEmpName]="true" (getListSearchDataEmployee)='receiveDataEmployee($event)'
>
</form-search-employee-component>
<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]="true">
    <mb-table
      (changePageNum)='changePage($event)' [heightTable]="heightTable"
      [tableConfig]='tableConfig' [tableData]='listData'></mb-table>
  </mb-table-wrap>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef.destroy()"
               *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>
